Bug 736582 - (ghc-primitive) Review Request: ghc-primitive - Wrappers for primitive operations
Review Request: ghc-primitive - Wrappers for primitive operations
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-vector
  Show dependency treegraph
 
Reported: 2011-09-08 03:29 EDT by Jens Petersen
Modified: 2014-01-02 06:33 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-vector-0.7.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-27 19:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-09-08 03:29:39 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-primitive/ghc-primitive.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-primitive/ghc-primitive-0.3.1-1.fc15.src.rpm
Description: 
This Haskell library provides wrappers for primitive array operations from GHC.Prim.


Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3334592
Comment 1 Michel Alexandre Salim 2011-09-08 11:05:45 EDT
Any reason 0.3.1 is packaged, instead of 0.4.0.1 ? (not that it'd affect the review; will post result shortly)
Comment 2 Michel Alexandre Salim 2011-09-08 11:39:15 EDT
Packaging looks fine, APPROVED

* TODO Review [100%]
  - [X] Names [2/2]
    - [X] Package name
    - [X] Spec name
  - [X] Package version [2/2]
	http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning
    - [X] Version number
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Version_Tag
    - [X] Release tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Release_Tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages
  - [X] Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
  - [X] Source files match upstream
  - [X] [[http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries][No bundled libraries]]
  - [X] License [4/4]
    - [X] License is Fedora-approved
    - [X] No licensing conflict
    - [X] License field accurate
    - [X] License included iff packaged by upstream
  - [X] rpmlint [2/2]
    - [X] on src.rpm
          $ rpmlint ./ghc-primitive-0.3.1-1.fc17.src.rpm 
          1 packages and 0 specfiles checked; 0 errors, 0 warnings.
          $ rpmlint ./ghc-primitive-0.3.1-1.fc15.src.rpm 
          1 packages and 0 specfiles checked; 0 errors, 0 warnings.
    - [X] on x86_64.rpm
          $ rpmlint ./ghc-primitive-*.x86_64.rpm
          2 packages and 0 specfiles checked; 0 errors, 0 warnings.
  - [X] Language & locale [2/2]
    - [X] Spec in US English
    - [X] Spec legible
  - [X] Build [3/3]
    - [X] Koji results
    - [X] BRs complete
    - [X] Directory ownership
  - [X] Spec inspection [7/7]
    - [X] No duplicate files
    - [X] File permissions
    - [X] Filenames must be UTF-8
    - [X] no BuildRoot ([[https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag][except if targeting RHEL5]])
    - [X] Macro usage consistent
    - [X] Documentation [1/1]
      - [X] %doc files are non-essential
    - [X] Development [2/2]
      - [X] Headers in -devel
      - [X] -devel, -static requires main
Comment 3 Jens Petersen 2011-09-08 21:58:07 EDT
Thank you for the reviewing already. :-)

(In reply to comment #1)
> Any reason 0.3.1 is packaged, instead of 0.4.0.1 ? (not that it'd affect the
> review; will post result shortly)

Yes, good question forgot to comment about that here:
that is intentional since snap-core needs vector < 0.8
which in turns needs primitive < 0.4.
Comment 4 Jens Petersen 2011-09-08 22:08:21 EDT
New Package SCM Request
=======================
Package Name: ghc-primitive
Short Description: Wrappers for primitive operations
Owners: petersen
Branches: f16 f15 f14 el6
InitialCC: haskell-sig
Comment 5 Jon Ciesla 2011-09-09 08:37:15 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-09-12 06:38:11 EDT
ghc-vector-0.7.1-1.fc16,ghc-primitive-0.3.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-vector-0.7.1-1.fc16,ghc-primitive-0.3.1-1.fc16
Comment 7 Fedora Update System 2011-09-12 20:09:03 EDT
ghc-vector-0.7.1-1.fc16, ghc-primitive-0.3.1-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 8 Fedora Update System 2011-09-13 21:18:08 EDT
ghc-vector-0.7.1-1.fc15,ghc-primitive-0.3.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-vector-0.7.1-1.fc15,ghc-primitive-0.3.1-2.fc15
Comment 9 Fedora Update System 2011-09-13 21:18:22 EDT
ghc-vector-0.7.1-1.fc14,ghc-primitive-0.3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-vector-0.7.1-1.fc14,ghc-primitive-0.3.1-2.fc14
Comment 10 Fedora Update System 2011-09-14 18:34:03 EDT
ghc-vector-0.7.1-1.fc14, ghc-primitive-0.3.1-2.fc14 has been pushed to the Fedora 14 testing repository.
Comment 11 Fedora Update System 2011-09-27 19:02:31 EDT
ghc-vector-0.7.1-1.fc15, ghc-primitive-0.3.1-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Fedora Update System 2011-09-27 19:04:25 EDT
ghc-vector-0.7.1-1.fc14, ghc-primitive-0.3.1-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 13 Fedora Update System 2011-10-05 13:34:01 EDT
ghc-vector-0.7.1-1.fc16, ghc-primitive-0.3.1-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-12-06 00:20:26 EST
ghc-primitive-0.4.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-primitive-0.4.0.1-1.el6
Comment 15 Fedora Update System 2012-12-25 15:09:05 EST
ghc-primitive-0.4.0.1-1.el6, ghc-vector-0.9.1-7.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 16 Jens Petersen 2013-12-27 08:22:32 EST
Package Change Request
======================
Package Name: ghc-primitive
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 17 Jens Petersen 2014-01-02 06:33:48 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.